#pragma once

#include "MidiChannelEvent.h"

#include <fstream>

class MidiChannelEventAdapter
{
public:
    static int ReadEvent(std::ifstream* file, char firstByte, MidiChannelEvent* event, MidiChannelEvent::Type& lastEventType);

    static int ReadEventData(std::ifstream* file, MidiChannelEvent* event, char c);
    static int ReadEventData(std::ifstream* file, MidiChannelEvent* event);
};
